//
//  ColltionTableViewCell.m
//  test
//
//  Created by Macx on 16/7/23.
//  Copyright © 2016年 LLG. All rights reserved.
//

#import "ColltionTableViewCell.h"
#import "ImgColletionViewCell.h"
#import "JsonModle.h"
@interface ColltionTableViewCell()

@end
@implementation ColltionTableViewCell


-(instancetype)initWithStyle:(UITableViewCellStyle)style reuseIdentifier:(NSString *)reuseIdentifier
{
    self = [super initWithStyle:style reuseIdentifier:reuseIdentifier];
    if (self)
    {
        [self.contentView addSubview:self.colletionView];
        self.colletionView.backgroundColor = [UIColor whiteColor];
        
        self.selectionStyle = UITableViewCellSelectionStyleNone;
        [self.contentView addSubview:self.mouthLable];
        
        self.contentLable.frame = (CGRect){95,5,self.bounds.size.width-95,20};
        
        [self.contentView addSubview:self.contentLable];
        _contentLable.numberOfLines = 0;
        self.mouthLable.frame = (CGRect){5,5,80,20};
        
        //注册Cell在tableView的cell里面
        [_colletionView registerClass:[ImgColletionViewCell class] forCellWithReuseIdentifier:@"colletionViewCell"];
        
       UILongPressGestureRecognizer *longPress = [[UILongPressGestureRecognizer alloc]initWithTarget:self action:@selector(longpress:)];
        
      [self addGestureRecognizer:longPress];
    }
    return self;
}
-(void)longpress:(id)sender
{
    if (_hasLongPress)
    {
         return;
    }
    _hasLongPress = YES;
    
    if (_didlongPress)
    {
        self.colletionView.backgroundColor = [UIColor yellowColor];
        _didlongPress(self);
    }
}
#pragma mark setter 方法
-(void)setStyleModle:(StyleModle *)styleModle
{
    _styleModle = styleModle;
    _mouthLable.text = styleModle.createTime;
    _contentLable.text = styleModle.contentMessage;
    _contentLable.frame = CGRectMake(95,5,self.bounds.size.width-95,styleModle.contentHeight+5);
    self.colletionView.frame = (CGRect){90, styleModle.contentHeight+10, self.frame.size.width-90, self.frame.size.height};
}
-(UICollectionView *)colletionView
{
    if (_colletionView)
    {
        return _colletionView;
    }
    UICollectionViewFlowLayout *flowLayout = [[UICollectionViewFlowLayout alloc]init];
    flowLayout.itemSize = CGSizeMake(70, 70);
    
    flowLayout.minimumLineSpacing = 5.0f;
    
    flowLayout.minimumInteritemSpacing = 5.0f;
    
    flowLayout.sectionInset = UIEdgeInsetsMake(0, 5, 5, 5);
   
    _colletionView = [[UICollectionView alloc]initWithFrame:self.bounds collectionViewLayout:flowLayout];
    _colletionView.scrollEnabled = NO;
    
    return _colletionView;
}
-(UILabel *)mouthLable
{
    if (_mouthLable)
    {
        return _mouthLable;
    }
    _mouthLable = [UILabel new];
    return _mouthLable;
}
-(UILabel *)contentLable
{
    if (_contentLable)
    {
        return _contentLable;
    }
    _contentLable = [UILabel new];
    _contentLable.font = [UIFont systemFontOfSize:13.0f];
    return _contentLable;
}

-(void)setFrame:(CGRect)frame
{
    _colletionView.frame = CGRectMake(90, _colletionView.frame.origin.y, frame.size.width-90, frame.size.height-_colletionView.frame.origin.y);
    [super setFrame:frame];
}
- (void)setSelected:(BOOL)selected animated:(BOOL)animated
{
    [super setSelected:selected animated:animated];

    
}

@end
