//
//  JsonModle.m
//  test
//
//  Created by Macx on 16/7/24.
//  Copyright © 2016年 LLG. All rights reserved.
//

#import "JsonModle.h"
#import "NSString+Category.h"
@class styleModle;

@implementation JsonModle

-(instancetype)initWithObject:(id)object
{
 
    self = [super init];
    if (self)
    {
       
        if ([object isKindOfClass:[NSDictionary class]])
        {
            NSArray *tmpArray = object [@"result"][@"dynamicList"];
            [tmpArray enumerateObjectsUsingBlock:^(id  _Nonnull obj, NSUInteger idx, BOOL * _Nonnull stop) {
                
                if ([obj isKindOfClass:[NSDictionary class]])
                {
                    StyleModle *modle = [[StyleModle alloc]initWithDictionary:obj];
                    [self.dynamicListArry addObject:modle];
                }
             }];
        }
    }
    return self;
}
-(NSMutableArray *)dynamicListArry
{
    if (_dynamicListArry)
    {
        return _dynamicListArry;
    }
    _dynamicListArry = [[NSMutableArray alloc]init];
    return _dynamicListArry;
}


@end


@implementation StyleModle

-(instancetype)initWithDictionary:(id)dictionary
{
    if ( self = [super init])
    {
        if ([dictionary isKindOfClass:[NSDictionary class]])
        {
            [self setValuesForKeysWithDictionary:dictionary];
        }
     }
    return self;
}
-(void)setValue:(id)value forUndefinedKey:(NSString *)key
{
    if ([key isEqualToString:@"imgs"])
    {
        NSString *tmpStr = value;
        NSArray *strArray = [tmpStr componentsSeparatedByString:@";"];
        NSLog(@"------%lu",(unsigned long)strArray.count);
        for (int i = 0; i<strArray.count; i++)
        {
            NSString *str = strArray[i];
            if ([str isEqualToString:@""])
            {
                return;
            }
          [self.imagesArray addObject:str];
        }
    }
    
    if ([key isEqualToString:@"content"])
    {
        self.contentMessage = value;
       float awidth = [UIScreen mainScreen].bounds.size.width;
       CGSize size = [_contentMessage gettextSizeWithStringFloat:12 andwidth:(awidth-95)];
       self.contentHeight = size.height+10;
    }
}
-(NSMutableArray *)imagesArray
{
    if (_imagesArray)
    {
        return _imagesArray;
    }
    _imagesArray = [NSMutableArray arrayWithCapacity:0];
    return _imagesArray;
    
}

@end


